Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
error in update glibc-2.13-r4
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
nitwh
n00b
n00b


Joined: 15 Aug 2006
Posts: 21

PostPosted: Thu Dec 15, 2011 9:05 pm    Post subject: error in update glibc-2.13-r4 Reply with quote

Hello, I understand the following error, when i try update glibc-2.13-r4

Quote:

>>> Emerging (1 of 8) sys-libs/glibc-2.13-r4
* glibc-2.13.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* glibc-ports-2.13.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* glibc-2.13-patches-8.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
make -j3 -s glibc-test
make -j3 -s glibc-test
* Scanning system for __guard to see if you need to rebuild first ... . [ !! ]
* Your system still has old SSP __guard symbols. You need to
* rebuild all the packages that provide these files first:
* //bin/bb
* //sbin/sln
* //sbin/ldconfig
* ERROR: sys-libs/glibc-2.13-r4 failed (setup phase):
* old __guard detected
*
* Call stack:
* ebuild.sh, line 56: Called pkg_setup
* glibc-2.13-r4.ebuild, line 187: Called eblit-run 'pkg_setup'
* glibc-2.13-r4.ebuild, line 168: Called eblit-glibc-pkg_setup
* pkg_setup.eblit, line 119: Called die
* The specific snippet of code:
* die "old __guard detected"
*
* If you need support, post the output of 'emerge --info =sys-libs/glibc-2.13-r4',
* the complete build log and the output of 'emerge -pqv =sys-libs/glibc-2.13-r4'.
* The complete build log is located at '/var/tmp/portage/sys-libs/glibc-2.13-r4/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.13-r4/temp/die.env'.
* S: '/var/tmp/portage/sys-libs/glibc-2.13-r4/work/glibc-2.13'

>>> Failed to emerge sys-libs/glibc-2.13-r4, Log file:

>>> '/var/tmp/portage/sys-libs/glibc-2.13-r4/temp/build.log'

* Messages for package sys-libs/glibc-2.13-r4:

* Your system still has old SSP __guard symbols. You need to
* rebuild all the packages that provide these files first:
* //bin/bb
* //sbin/sln
* //sbin/ldconfig
* ERROR: sys-libs/glibc-2.13-r4 failed (setup phase):
* old __guard detected
*
* Call stack:
* ebuild.sh, line 56: Called pkg_setup
* glibc-2.13-r4.ebuild, line 187: Called eblit-run 'pkg_setup'
* glibc-2.13-r4.ebuild, line 168: Called eblit-glibc-pkg_setup
* pkg_setup.eblit, line 119: Called die
* The specific snippet of code:
* die "old __guard detected"
*
* If you need support, post the output of 'emerge --info =sys-libs/glibc-2.13-r4',
* the complete build log and the output of 'emerge -pqv =sys-libs/glibc-2.13-r4'.
* The complete build log is located at '/var/tmp/portage/sys-libs/glibc-2.13-r4/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.13-r4/temp/die.env'.
* S: '/var/tmp/portage/sys-libs/glibc-2.13-r4/work/glibc-2.13'


my gcc version is:

i686-pc-linux-gnu-4.4.5

Quote:

gcc-config -l
[1] i686-pc-linux-gnu-4.1.2
[2] i686-pc-linux-gnu-4.3.4
[3] i686-pc-linux-gnu-4.3.4-hardenednopie
[4] i686-pc-linux-gnu-4.3.4-vanilla
[5] i686-pc-linux-gnu-4.4.5 *
[6] i686-pc-linux-gnu-4.4.5-hardenednopie
[7] i686-pc-linux-gnu-4.4.5-hardenednopiessp
[8] i686-pc-linux-gnu-4.4.5-hardenednossp
[9] i686-pc-linux-gnu-4.4.5-vanilla
[10] i686-pc-linux-gnu-4.5.3
[11] i686-pc-linux-gnu-4.5.3-hardenednopie
[12] i686-pc-linux-gnu-4.5.3-hardenednopiessp
[13] i686-pc-linux-gnu-4.5.3-hardenednossp
[14] i686-pc-linux-gnu-4.5.3-vanilla


the emerge -info is:

Quote:

emerge --info
Portage 2.1.10.11 (hardened/linux/x86, gcc-4.4.5, glibc-2.12.2-r0, 2.6.32.43-grsec-vs2.3.0.36.29.7 x86_64)
=================================================================
System uname: Linux-2.6.32.43-grsec-vs2.3.0.36.29.7-x86_64-Intel-R-_Xeon-R-_CPU_L5335_@_2.00GHz-with-gentoo-2.0.3
Timestamp of tree: Wed, 14 Dec 2011 13:45:01 +0000
app-shells/bash: 4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python: 2.4.6, 2.5.4-r4, 2.6.6-r2, 2.7.2-r3, 3.1.4-r3
dev-util/cmake: 2.8.6-r4
dev-util/pkgconfig: 0.26
sys-apps/baselayout: 2.0.3
sys-apps/openrc: 0.9.4
sys-apps/sandbox: 2.5
sys-devel/autoconf: 2.13::<unknown repository>, 2.68
sys-devel/automake: 1.4_p6-r1, 1.5-r1, 1.6.3-r1, 1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils: 2.21.1-r1
sys-devel/gcc: 4.1.2::<unknown repository>, 4.3.4, 4.4.5, 4.5.3-r1
sys-devel/gcc-config: 1.4.1-r1
sys-devel/libtool: 2.4-r1
sys-devel/make: 3.82-r1
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc: 2.12.2
Repositories: gentoo
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA dlj-1.1 Oracle-BCLA-JavaSE"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.2/ext-active/ /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.2/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.2/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
DISTDIR="/var/tmp/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n"
FEATURES="assume-digests binpkg-logs buildpkg distlocks ebuild-locks fixlafiles fixpackages news nostrip parallel-fetch protect-owned sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/var/tmp/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--timeout=240"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/tmp/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="acl apache2 bash-completion berkdb bzip2 chroot cli cracklib crypt cups cxx dri erandom fastcgi gdbm glibc gpm hardened iconv linuxthreads-tls md5sum modules mudflap mysql ncurses nls nptl nptlonly openmp pam pam_chroot pam_timestamp pax_kernel pcre pppd pwdb readline ruby session sftplogging sse2 ssl sysfs tcpd tools unicode urandom userlocales vsplit x86 xml xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="cgi actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias proxy_ftp" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="apm ark chips cirrus cyrix dummy fbdev glint i128 i740 intel mach64 mga neomagic nsc nv r128 radeon rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa via vmware nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS



any help to update this program?, thank in advance
Back to top
View user's profile Send private message
krinn
Advocate
Advocate


Joined: 02 May 2003
Posts: 4294

PostPosted: Thu Dec 15, 2011 10:42 pm    Post subject: Re: error in update glibc-2.13-r4 Reply with quote

Why :
nitwh wrote:

* Your system still has old SSP __guard symbols. You need to
* rebuild all the packages that provide these files first:


Who:
nitwh wrote:

* //bin/bb
* //sbin/sln
* //sbin/ldconfig


Who++:
emerge gentoolkit
equery b /bin/bb
equery b /sbin/sln
equery b /sbin/ldconfig

And:
emerge -1 all packages name the equery will gave you
Back to top
View user's profile Send private message
nitwh
n00b
n00b


Joined: 15 Aug 2006
Posts: 21

PostPosted: Thu Dec 15, 2011 11:41 pm    Post subject: Reply with quote

Thanks for help me, but I folow the step and equery say need emerge busybox and glibc-2.12.2 i make this


Quote:

emerge gentoolkit
emerge -1 sys-apps/busybox =sys-libs/glibc-2.12.2


but glibc return the same error.

Quote:

>>> Emerging (1 of 1) sys-libs/glibc-2.12.2
* glibc-2.12.2.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* glibc-ports-2.12.1.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* glibc-2.12.2-patches-3.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
make -j3 -s glibc-test
make -j3 -s glibc-test
* Scanning system for __guard to see if you need to rebuild first ... . [ !! ]
* Your system still has old SSP __guard symbols. You need to
* rebuild all the packages that provide these files first:
* //bin/bb
* //sbin/sln
* //sbin/ldconfig
* ERROR: sys-libs/glibc-2.12.2 failed (setup phase):
* old __guard detected
*
* Call stack:
* ebuild.sh, line 56: Called pkg_setup
* glibc-2.12.2.ebuild, line 187: Called eblit-run 'pkg_setup'
* glibc-2.12.2.ebuild, line 168: Called eblit-glibc-pkg_setup
* pkg_setup.eblit, line 119: Called die
* The specific snippet of code:
* die "old __guard detected"
*
* If you need support, post the output of 'emerge --info =sys-libs/glibc-2.12.2',
* the complete build log and the output of 'emerge -pqv =sys-libs/glibc-2.12.2'.
* The complete build log is located at '/var/tmp/portage/sys-libs/glibc-2.12.2/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.12.2/temp/die.env'.
* S: '/var/tmp/portage/sys-libs/glibc-2.12.2/work/glibc-2.12.2'

>>> Failed to emerge sys-libs/glibc-2.12.2, Log file:

>>> '/var/tmp/portage/sys-libs/glibc-2.12.2/temp/build.log'

* Messages for package sys-libs/glibc-2.12.2:

* Your system still has old SSP __guard symbols. You need to
* rebuild all the packages that provide these files first:
* //bin/bb
* //sbin/sln
* //sbin/ldconfig
* ERROR: sys-libs/glibc-2.12.2 failed (setup phase):
* old __guard detected
*
* Call stack:
* ebuild.sh, line 56: Called pkg_setup
* glibc-2.12.2.ebuild, line 187: Called eblit-run 'pkg_setup'
* glibc-2.12.2.ebuild, line 168: Called eblit-glibc-pkg_setup
* pkg_setup.eblit, line 119: Called die
* The specific snippet of code:
* die "old __guard detected"
*
* If you need support, post the output of 'emerge --info =sys-libs/glibc-2.12.2',
* the complete build log and the output of 'emerge -pqv =sys-libs/glibc-2.12.2'.
* The complete build log is located at '/var/tmp/portage/sys-libs/glibc-2.12.2/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.12.2/temp/die.env'.
* S: '/var/tmp/portage/sys-libs/glibc-2.12.2/work/glibc-2.12.2'
Back to top
View user's profile Send private message
bell
Guru
Guru


Joined: 27 Nov 2007
Posts: 426

PostPosted: Fri Dec 16, 2011 4:12 pm    Post subject: Reply with quote

You emerge --info say that you use the hardened profile. Why you don't use the hardened gcc?
Back to top
View user's profile Send private message
nitwh
n00b
n00b


Joined: 15 Aug 2006
Posts: 21

PostPosted: Fri Dec 16, 2011 4:48 pm    Post subject: Reply with quote

How use the gcc hardened? and which is?

Quote:
gcc-config -l
[1] i686-pc-linux-gnu-4.1.2
[2] i686-pc-linux-gnu-4.3.4
[3] i686-pc-linux-gnu-4.3.4-hardenednopie
[4] i686-pc-linux-gnu-4.3.4-vanilla
[5] i686-pc-linux-gnu-4.4.5 *
[6] i686-pc-linux-gnu-4.4.5-hardenednopie
[7] i686-pc-linux-gnu-4.4.5-hardenednopiessp
[8] i686-pc-linux-gnu-4.4.5-hardenednossp
[9] i686-pc-linux-gnu-4.4.5-vanilla
[10] i686-pc-linux-gnu-4.5.3
[11] i686-pc-linux-gnu-4.5.3-hardenednopie
[12] i686-pc-linux-gnu-4.5.3-hardenednopiessp
[13] i686-pc-linux-gnu-4.5.3-hardenednossp
[14] i686-pc-linux-gnu-4.5.3-vanilla


I'm confused....


Thanks for your time
Back to top
View user's profile Send private message
krinn
Advocate
Advocate


Joined: 02 May 2003
Posts: 4294

PostPosted: Fri Dec 16, 2011 9:20 pm    Post subject: Reply with quote

i would say 7 or 8 the one hardened and with nossp so you'll get out the ssp symbols.
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 9051

PostPosted: Fri Dec 16, 2011 11:37 pm    Post subject: Reply with quote

i686-pc-linux-gnu-4.4.5 is hardened with PIE and SSP. This looks like it may be a bug in a hastily written glibc ebuild patch. As far as I know, building glibc-2.12.2 while using the old symbol should be fine. If I am right, then the ebuild is wrong to run that check with that version. It should only apply the guard check in versions which do not have __guard. There is a change in r10 that should allow you to upgrade.
Back to top
View user's profile Send private message
sidamos
Apprentice
Apprentice


Joined: 16 Dec 2007
Posts: 164

PostPosted: Sun Dec 18, 2011 1:21 am    Post subject: Reply with quote

Similar problem here:
Code:

 * Your system still has old SSP __guard symbols.  You need to
 * rebuild all the packages that provide these files first:
 * //usr/bin/i386-pc-linux-gnu-gcc32
 * //usr/bin/i386-pc-linux-gnu-g++32
 * //usr/bin/i386-pc-linux-gnu-cpp
 * //usr/bin/i386-pc-linux-gnu-c++
 * //usr/bin/i386-pc-linux-gnu-gcc
 * //usr/bin/i386-pc-linux-gnu-g++
 * //usr/lib/libgmp.so.3
 * //usr/lib/libmpfr.so.1
 * //usr/lib/libltdl.so.3
 * //usr/lib/liblzma.so.0
 * ERROR: sys-libs/glibc-2.13-r4 failed (setup phase):


I have already re-emerged the packages that provide the libs to no avail. And I can't even find packages that provide the files in /usr/bin.

Also running the hardened profile and toolchain.
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 9051

PostPosted: Sun Dec 18, 2011 2:08 am    Post subject: Reply with quote

sidamos: what is the output of emerge --info dev-libs/gmp dev-libs/mpfr sys-devel/libtool app-arch/xz-utils ; eix -e dev-libs/gmp -o -e dev-libs/mpfr -o -e sys-devel/libtool -o -e app-arch/xz-utils?
Back to top
View user's profile Send private message
sidamos
Apprentice
Apprentice


Joined: 16 Dec 2007
Posts: 164

PostPosted: Sun Dec 18, 2011 2:25 am    Post subject: Reply with quote

Code:

Portage 2.1.10.11 (hardened/linux/x86, gcc-4.3.4, glibc-2.11.2-r3, 2.6.36-hardened-r9 i686)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.36-hardened-r9-i686-Pentium-R-_Dual-Core_CPU_E5500_@_2.80GHz-with-gentoo-2.0.3
Timestamp of tree: Sat, 17 Dec 2011 04:45:01 +0000
app-shells/bash:          4.1_p9
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.4.6, 2.5.4-r4, 2.6.6-r2, 2.7.2-r3, 3.1.4-r3
dev-util/cmake:           2.8.6-r4
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.9.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.68
sys-devel/automake:       1.8.5-r3, 1.9.6-r2::<unknown repository>, 1.10.2, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            3.4.6-r2, 4.3.4, 4.4.4-r2, 4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.39 (virtual/os-headers)
sys-libs/glibc:           2.11.2-r3
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe -fforce-addr -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=pentium4 -pipe -fforce-addr -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/"
LANG="de_DE@euro"
LC_ALL="de_DE@euro"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="acl animgif apache2 bash-completion berkdb bzip2 cli cracklib crypt cups cxx dri gd gdbm gif gpm hal hardened iconv imagemagick jpeg jpeg2k lm_sensors modules mudflap mysql mysqli ncurses nls nptl nptlonly odbc openmp pam pax_kernel pcre pic png pppd readline session sse sse2 ssl subversion svg sysfs syslog tcpd truetype unicode unzip urandom vhosts x86 xml xorg zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias proxy proxy_http" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="apm ark chips cirrus cyrix dummy fbdev glint i128 i740 intel mach64 mga neomagic nsc nv r128 radeon rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa via vmware nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

dev-libs/gmp-5.0.2 was built with the following:
USE="cxx"


dev-libs/mpfr-3.0.1_p4 was built with the following:
USE=""


sys-devel/libtool-2.4-r1 was built with the following:
USE="-test -vanilla"


app-arch/xz-utils-5.0.3 was built with the following:
USE="nls threads -static-libs"

[I] app-arch/xz-utils
     Available versions:  4.999.9_beta 5.0.1 ~5.0.1-r1 ~5.0.2 5.0.3 **9999 {nls static-libs +threads}
     Installed versions:  5.0.3(01:47:23 18.12.2011)(nls threads -static-libs)
     Homepage:            http://tukaani.org/xz/
     Description:         utils for managing LZMA compressed files

[I] dev-libs/gmp
     Available versions:
        (0)     4.3.2 ~5.0.1 5.0.2 ~5.0.2_p1
        (3)     ~4.3.2-r1
        {cxx doc static-libs}
     Installed versions:  5.0.2(01:52:14 18.12.2011)(cxx)
     Homepage:            http://gmplib.org/
     Description:         Library for arithmetic on arbitrary precision integers, rational numbers, and floating-point numbers

[I] dev-libs/mpfr
     Available versions:
        (0)     2.4.2_p3 3.0.0_p3 ~3.0.1 3.0.1_p4 ~3.0.1_p4-r1 ~3.1.0
        (1)     ~2.4.2_p3-r1
        {static-libs}
     Installed versions:  3.0.1_p4(01:56:28 18.12.2011)
     Homepage:            http://www.mpfr.org/
     Description:         library for multiple-precision floating-point computations with exact rounding

[I] sys-devel/libtool
     Available versions:
        (1.3)   1.3.5
        (1.5)   **1.5.26 ~1.5.26-r1
        (2)     2.2.10 2.4-r1 ~2.4-r4 ~2.4.2 **9999
        {static-libs test vanilla}
     Installed versions:  2.4-r1(2)(01:54:03 18.12.2011)(-test -vanilla)
     Homepage:            http://www.gnu.org/software/libtool/
     Description:         A shared library tool for developers
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 9051

PostPosted: Sun Dec 18, 2011 5:15 am    Post subject: Reply with quote

All of the failed libraries are leftovers from library preservation. The failed gcc files seem to be leftovers from a prior CHOST.
Back to top
View user's profile Send private message
sidamos
Apprentice
Apprentice


Joined: 16 Dec 2007
Posts: 164

PostPosted: Sun Dec 18, 2011 8:57 am    Post subject: Reply with quote

Thanks! So, I can delete all of those files (I already did revdep-rebuild)?
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 9051

PostPosted: Sun Dec 18, 2011 6:19 pm    Post subject: Reply with quote

If you did the right kind of revdep-rebuild, then yes. Did you run plain revdep-rebuild or did you run it with the arguments specified by the ebuilds that preserved those libraries? A plain revdep-rebuild only finds dependencies on libraries that are already deleted. Since these are present, you must instruct revdep-rebuild to flag usage of those libraries.
Back to top
View user's profile Send private message
sidamos
Apprentice
Apprentice


Joined: 16 Dec 2007
Posts: 164

PostPosted: Sun Dec 18, 2011 6:31 pm    Post subject: Reply with quote

Yes, I ran the commands specified by the ebuilds. No reference was found and so I deleted the libs. I also deleted the old 386 executables and glibc then emerged OK.

Thanks again!

Hm, I was under the impression that revdep-rebuild would delete processed libs automatically, but apparently not... So I probably have more old unused libs on the system.
Back to top
View user's profile Send private message
bell
Guru
Guru


Joined: 27 Nov 2007
Posts: 426

PostPosted: Sun Dec 18, 2011 8:43 pm    Post subject: Reply with quote

Yes, Portage-2.1 library preservation leave cruft files in system. You can use my gentoo-decruft.sh script to find and remove the cruft files.
Is it possible to upload the file here in forum? I see no upload button :(

Scripts home is a german forum: http://www.gentooforum.de/artikel/19006/bereinigung-veralteter-dateien.html registration required for download the file :?
Back to top
View user's profile Send private message
sidamos
Apprentice
Apprentice


Joined: 16 Dec 2007
Posts: 164

PostPosted: Sun Dec 18, 2011 9:51 pm    Post subject: Reply with quote

Great, I' ll have a look. Is this better with the current portage alphas?
Back to top
View user's profile Send private message
bell
Guru
Guru


Joined: 27 Nov 2007
Posts: 426

PostPosted: Tue Dec 20, 2011 2:32 pm    Post subject: Reply with quote

Portage-2.2 library preservation is better because it remove the cruft-files if there are not needed anymore.
But Portage-2.2 is still alpa...
Back to top
View user's profile Send private message
at_chaos
Tux's lil' helper
Tux's lil' helper


Joined: 09 Nov 2003
Posts: 149
Location: EU|Austria

PostPosted: Wed Dec 21, 2011 8:40 am    Post subject: Reply with quote

Hi guys, I have a similar issue on an older box, there where 200+ packages with old ssp __guard error. I did a gcc upgrade + a chost change because the box moved to kvm. Did a emerge -e world. There are some libs left which I can't find with equery b ... any ideas?

Code:

~ # emerge glibc
<snip>
 * Your system still has old SSP __guard symbols.  You need to
 * rebuild all the packages that provide these files first:
 * //lib64/libreadline.so.5
 * //lib64/libhistory.so.5
 * //usr/sbin/nscd
 * //usr/lib64/libgmp.so.3
 * //usr/lib64/libpng14.so.14
 * //usr/lib64/libltdl.so.3
 * //usr/lib64/libssl.so.0.9.8
 * //usr/lib64/libmpfr.so.1
 * ERROR: sys-libs/glibc-2.13-r4 failed (setup phase):
 *   old __guard detected
<snip>


Code:

~ # emerge --info
Portage 2.1.10.41 (hardened/linux/amd64/no-multilib, gcc-4.5.3-hardenednossp, glibc-2.10.1-r1, 3.0.4-hardened-r5 x86_64)
=================================================================
System uname: Linux-3.0.4-hardened-r5-x86_64-QEMU_Virtual_CPU_version_0.15.0-with-gentoo-2.0.3
Timestamp of tree: Tue, 20 Dec 2011 06:45:01 +0000
app-shells/bash:          4.1_p9
dev-lang/python:          2.4.6, 2.5.4-r4, 2.6.6-r2, 2.7.2-r3, 3.1.4-r3
dev-util/cmake:           2.8.6-r4
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.9.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13::<unknown repository>, 2.68
sys-devel/automake:       1.7.9-r1::<unknown repository>, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            3.4.6-r2::<unknown repository>, 4.3.4, 4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.39 (virtual/os-headers)
sys-libs/glibc:           2.10.1-r1
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-mtune=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.2/ext-active/ /etc/php/cgi-php5.2/ext-active/ /etc/php/cli-php5.2/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-mtune=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="ftp://mirrors.tds.net/gentoo http://gentoo.supp.name/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://ftp.club-internet.fr/pub/mirrors/gentoo"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage/"
USE="acl amd64 apache2 berkdb bzip2 cli cracklib crypt cups cxx dri gdbm gpm hardened iconv jpeg justify mmx modules mudflap mysql ncurses nls nptl nptlonly openmp pam pax_kernel pcre perl png pppd readline session sse sse2 ssl sysfs tcpd urandom xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

_________________
if you stand still, you move backward
Back to top
View user's profile Send private message
Alakhai
Apprentice
Apprentice


Joined: 16 Oct 2003
Posts: 151

PostPosted: Wed Dec 21, 2011 6:49 pm    Post subject: Reply with quote

Here's my 2 cents.

It could happen that some package (in my case libtool with file sys-devel/libtool-2.4-r1 ) could not work by remerging that.

To solve it i unmerged that package and remerged it, using correct gcc version without SSP.


Hope it can be usefull
_________________
Gentoo Linux 64Bit User
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 9051

PostPosted: Thu Dec 22, 2011 3:24 am    Post subject: Reply with quote

at_chaos wrote:
There are some libs left which I can't find with equery b ... any ideas?
Code:
~ # emerge glibc
<snip>
 * Your system still has old SSP __guard symbols.  You need to
 * rebuild all the packages that provide these files first:
 * //lib64/libreadline.so.5
 * //lib64/libhistory.so.5
 * //usr/sbin/nscd
 * //usr/lib64/libgmp.so.3
 * //usr/lib64/libpng14.so.14
 * //usr/lib64/libltdl.so.3
 * //usr/lib64/libssl.so.0.9.8
 * //usr/lib64/libmpfr.so.1
 * ERROR: sys-libs/glibc-2.13-r4 failed (setup phase):
 *   old __guard detected
<snip>
Hu wrote:
All of the failed libraries are leftovers from library preservation.


Alakhai wrote:
It could happen that some package (in my case libtool with file sys-devel/libtool-2.4-r1 ) could not work by remerging that.
If the file is properly rebuilt by a modern GCC using the new-style SSP, then it should work fine. However, some packages, including libtool, employ library preservation and therefore will not rebuild some files.
Alakhai wrote:
To solve it i unmerged that package and remerged it, using correct gcc version without SSP.
There is no reason to forfeit SSP here.
Back to top
View user's profile Send private message
at_chaos
Tux's lil' helper
Tux's lil' helper


Joined: 09 Nov 2003
Posts: 149
Location: EU|Austria

PostPosted: Thu Dec 22, 2011 1:20 pm    Post subject: Reply with quote

Thanks Alakhai,

that's what I tried now and it seems to work. Thanks. I just thought if I run emerge -e world all packages get rebuilt - but there where for some reason above mentioned packages left. I deleted all above mentioned files in /usr/lib64/ as there were newer ones already in place. And the /lib64/libreadline.so.5 + /lib64/libhistory.so.5 error disappeared when remerging readline again.

Solved for me now. Thanks.
_________________
if you stand still, you move backward
Back to top
View user's profile Send private message
pa4wdh
Apprentice
Apprentice


Joined: 16 Dec 2005
Posts: 247

PostPosted: Fri Dec 30, 2011 3:23 pm    Post subject: Reply with quote

I seem to have a similar problem over here .. this is my file list:
Code:

//lib/cpp
//usr/bin/g++
//usr/bin/gcc
//usr/bin/i586-pc-linux-gnu-c++
//usr/bin/i586-pc-linux-gnu-gcc
//usr/bin/c++
//usr/bin/cc
//usr/bin/i586-pc-linux-gnu-cpp
//usr/bin/cpp
//usr/bin/i586-pc-linux-gnu-g++
//usr/bin/gcov
//usr/lib/libgmp.so.3

However, using equery i could only map /usr/lib/libgmp.so.3 to a package:
Code:

[ Searching for file(s) /lib/cpp,/usr/bin/g++,/usr/bin/gcc,/usr/bin/i586-pc-linux-gnu-c++,/usr/bin/i586-pc-linux-gnu-gcc,/usr/bin/c++,/usr/bin/cc,/usr/bin/i586-pc-linux-gnu-cpp,/usr/bin/cpp,/usr/bin/i586-pc-linux-gnu-g++,/usr/bin/gcov,/usr/lib/libgmp.so.3 in *... ]
dev-libs/gmp-5.0.2 (/usr/lib/libgmp.so.3)


I don't think it's safe to delete them, because it seems to be my active compiler:
//usr/bin/i586-pc-linux-gnu-g++ -dumpversion gives: 4.3.4
gcc-config tells me that i586-pc-linux-gnu-4.3.4 is my active compiler.
_________________
The gentoo way of bringing peace to the world:
USE="-war" emerge --newuse world

Free as in Freedom is not limited to software only:
Music: http://www.jamendo.com
Recipes: http://www.opensourcefood.com
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 9051

PostPosted: Fri Dec 30, 2011 10:59 pm    Post subject: Reply with quote

pa4wdh: that sounds like a badly outdated system. Do I understand correctly that you never installed sys-devel/gcc:4.4 nor sys-devel/gcc:4.5? It also looks like you have an outdated dev-libs/gmp. Please run: emerge --oneshot --update '>=dev-libs/gmp-5.0.2_p1' && revdep-rebuild --ignore --library=/usr/lib/libgmp.so.3 && emerge --oneshot sys-devel/gcc:4.5. If all of that completes successfully, then verify that you have /usr/lib/libgmp.so.10. If you do, mv /usr/lib/libgmp.so.3 ~. If you have failures anywhere along the way, then post the error messages and the output of emerge --info.
Back to top
View user's profile Send private message
pa4wdh
Apprentice
Apprentice


Joined: 16 Dec 2005
Posts: 247

PostPosted: Sat Dec 31, 2011 10:13 am    Post subject: Reply with quote

Thanks for your response Hu. I think i have to admit you're right, it's quite outdated :oops: I use the system as my router, it had an uptime of more than 300 days before i decided to update. One of the first things i came across was EAPI 4 :)

For gcc: There are actually 3 gcc's installed, a 3.x, 4.3.4 and 4.4.4 but i didn't switch to 4.4.4 yet. 4.5.x is nog installed yet.

Thanks for your suggestion to solve this, it'll take me some time because gcc 4.3 is linked to libgmp and just compiling a single gcc instance is going to cost me 8+ hours :)
I'll come back here if that's done.

Edit:
It seems gmp 5.0.2 is already installed and libgmp.so.10.0.0.2 is already provided. So i guess rebuilding gcc (because it links to libgmp.so.3) and removing libgmp.so.3 should get things going again.
_________________
The gentoo way of bringing peace to the world:
USE="-war" emerge --newuse world

Free as in Freedom is not limited to software only:
Music: http://www.jamendo.com
Recipes: http://www.opensourcefood.com
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 9051

PostPosted: Sat Dec 31, 2011 6:11 pm    Post subject: Reply with quote

Yes, that should work. However, since you should remove sys-devel/gcc:4.3 as soon as you are done, I suggest the following instead. Ignore the rebuild of sys-devel/gcc:4.3 for now, get a working sys-devel/gcc:4.5, remove sys-devel/gcc:4.3, and then use gcc-4.5 to compile everything else. It sounds like you might have rebuilt sys-devel/gcc:4.3 before I posted. This is fine if you did. It was just a waste of your time. ;)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum